public class Game {

    private WordManager wordManger = WordManager.getInstance();
    private int questionNumber = 5;
    private long totalTime;
    private int okCount;    
    private GameRecord record;
    

    public void doGame()  {
        
        SConsole.printlnAndReadLine("^[Ƃ͂܂܂B");
        
        for(int i=0; i<questionNumber; i++){            
            
            doOneWord();
            
        }
        
        SConsole.println("I");
        SConsole.println("");
        SConsole.sleep(3000);

        
        doResult();

    }

    
    private void doOneWord(){
        SConsole.println("[READY]");
        SConsole.sleep(1000);
        
        String word = wordManger.getWord();
        SConsole.println(word);
        
        long time = System.currentTimeMillis();
        
        String line = SConsole.readLine();
        
        if(line.equals(word)){
            SConsole.println("[OK]");
            okCount++;
        }else{
            SConsole.println("[NG]");
        }
        SConsole.println("");
        
        totalTime = totalTime + System.currentTimeMillis() - time;

        SConsole.sleep(1000);
    }
    
    
    private void doResult(){

        SConsole.println(": " + okCount + "/" + questionNumber);
        SConsole.println("ώ : " + totalTime / okCount + "ms");

        int score = 1000*100 * okCount / questionNumber / (int)(totalTime / okCount);

        SConsole.println("_: " + score);
        SConsole.println("");
        
        record = new GameRecord();
        record.setCurrentTime();
        record.setQuestionNumber(questionNumber);
        record.setOkCount(okCount);
        record.setTotalTime((int)totalTime);
        record.setScore(score);
    }
    
    
    public GameRecord getResultRecord(){
        
        return record;
    }
    
}
