import java.text.SimpleDateFormat;
import java.util.Date;

public class GameRecord {

    private String time;
    private int score;
    private int questionNumber;
    private int okCount;    
    private int totalTime;
    
    public GameRecord(){        
    }
    
    //L^f[^p񂩂CX^X쐬
    public GameRecord(String line){
        String[] ss = line.split(",");        
        int index = 0;        
        time = ss[index++];    
        score = Integer.parseInt(ss[index++]);
        questionNumber = Integer.parseInt(ss[index++]);
        okCount = Integer.parseInt(ss[index++]);
        totalTime = Integer.parseInt(ss[index++]);
    }
    
    //CX^XL^f[^pɂĕԂ
    public String asData(){
        return time 
            + "," + score 
            + "," + questionNumber
            + "," + okCount
            + "," + totalTime
            ;
    }
    
    //ώԂԂ
    public int getMeanTime(){
        return totalTime / questionNumber;
    }
    //timeɌݎZbg
    public void setCurrentTime(){
        time =  new SimpleDateFormat("yyyy/MM/dd HH:mm")
            .format(new Date());
    }

    
    //ȉtB[h̃Zb^AQb^
    
    public int getOkCount() {
        return okCount;
    }

    public void setOkCount(int okCount) {
        this.okCount = okCount;
    }

    public int getQuestionNumber() {
        return questionNumber;
    }

    public void setQuestionNumber(int questionNumber) {
        this.questionNumber = questionNumber;
    }

    public int getScore() {
        return score;
    }

    public void setScore(int score) {
        this.score = score;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public int getTotalTime() {
        return totalTime;
    }

    public void setTotalTime(int totalTime) {
        this.totalTime = totalTime;
    }

}
