import java.io.*;
import java.util.*;

class Renshu2Reader{
    
    final static String FILE_NAME = "items.txt";
    
    public static void main(String[] args) throws IOException {
        List items = load();
        for(int i=0; i<items.size(); i++){
            Item item = (Item)items.get(i);
            System.out.println(item);
        }
    }
    
    static List load() throws IOException {

		List items = new ArrayList();

		BufferedReader in = new BufferedReader(new FileReader(FILE_NAME));

		String line;
		while( (line = in.readLine() )!= null){
    		Item item = Item.create(line);
    		items.add(item);
		}

		in.close();

		return items;

    }
}
